# RapidMiner AutoModel - Docker Setup

## Prerequisites

You need to have the following installed and running on your machine:

- Docker >= v18.09
- docker-compose >= 1.23

To read more how to install these on your platform see:

- Docker: https://docs.docker.com/install/
- Docker Compose: https://docs.docker.com/compose/install/

On Mac and Windows, Docker Compose is included when installing Docker.

## Images

The Docker images used by Auto Model Web are available on Docker Hub at https://hub.docker.com/u/rapidminer

## Compose

The full stack can be composed using two files:

- _docker-compose-infra.yml_: contains all the infrastructural needs for the application stack
- _docker-compose-services.yml_: contains all the services configured

To start the full stack execute the following steps:

1. Copy your AutoModel license on your host into _licenses/rapidminer-auto-model_ directory
1. Change `AUTH_SECRET` in _.env_ to your Base64 encoded secret.
1. Execute `docker-compose -f docker-compose-infra.yml up -d`
1. Execute `docker-compose -f docker-compose-services.yml up -d`
1. Wait for ~2-3 minutes depending on your machine to have all the services available

To check logs of individual applications:

1. Execute `docker-compose -f docker-compose-STACK.yml logs SERVICE_NAME` where _STACK_ is the postfix of the yml file's
   name and _SERVICE_NAME_ is the name of the service which logs you want to display (use compose yml's service names
   which are the direct children of _services:_ node, e.g.: for rapidminer-automodeler use `docker-compose -f docker-compose-services.yml logs rapidminer-automodeler`)

To shut down the full stack:

1. First shut down services by executing `docker-compose -f docker-compose-services.yml down`
1. Then shut down infrastructure via `docker-compose -f docker-compose-infra.yml down`

## Try

1. Open application on http://localhost:30000
1. use `admin` and `changeit` for user/password
